## org.hibernate.usertype
Interface UserVersionType

All Superinterfaces:
  Comparator, UserType

    public interface UserVersionType

extends UserType, Comparator

A user type that may be used for a version property

Author:
  Gavin King

Method Summary
`Object` `next(Object current, SessionImplementor session)` Increment the version.
`Object` `seed(SessionImplementor session)` Generate an initial version.

Methods inherited from interface org.hibernate.usertype.UserType
`assemble, deepCopy, disassemble, equals, hashCode, isMutable, nullSafeGet, nullSafeSet, replace, returnedClass, sqlTypes`

Methods inherited from interface java.util.Comparator
`compare, equals`

Method Detail

### seed

    Object seed(SessionImplementor session)

  Generate an initial version.

  Parameters:
    `session` - The session from which this request originates. May be null; currently this only happens during startup when trying to determine the "unsaved value" of entities.
  Returns:
    an instance of the type

### next

    Object next(Object current,
                SessionImplementor session)

  Increment the version.

  Parameters:
    `session` - The session from which this request originates.
    `current` - the current version
  Returns:
    an instance of the type

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.